Bridgly SDK
import { Bridgly } from 'bridgly';
const client = new Bridgly({ apiKey: process.env.BRIDGLY_API_KEY });
const res = await client.x.getUser({
handle: "string",
});
if (res.type === 'success') console.log(res.data);curl --request POST \
--url https://api.bridgly.app/x/get-user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"handle": "<string>"
}
'import requests
url = "https://api.bridgly.app/x/get-user"
payload = { "handle": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({handle: '<string>'})
};
fetch('https://api.bridgly.app/x/get-user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"timeMs": 123,
"creditsCost": 123,
"data": {
"userId": "<string>",
"username": "<string>",
"profileUrl": "<string>",
"displayName": "<string>",
"bio": "<string>",
"avatarUrl": "<string>",
"bannerUrl": "<string>",
"location": "<string>",
"websiteUrl": "<string>",
"bioUrls": [
{
"url": "<string>",
"displayUrl": "<string>"
}
],
"followerCount": 123,
"followingCount": 123,
"fastFollowersCount": 123,
"normalFollowersCount": 123,
"tweetCount": 123,
"likeCount": 123,
"mediaCount": 123,
"listedCount": 123,
"creatorSubscriptionsCount": 123,
"highlightedTweetsCount": 123,
"pinnedTweetId": "<string>",
"pinnedTweetUrl": "<string>",
"isVerified": true,
"isBlueVerified": true,
"verifiedType": "<string>",
"isIdentityVerified": true,
"isProtected": true,
"canDm": true,
"professionalType": "<string>",
"professionalId": "<string>",
"professionalCategoryId": 123,
"professionalCategoryName": "<string>",
"affiliate": {
"label": "<string>",
"username": "<string>",
"profileUrl": "<string>",
"badgeUrl": "<string>"
},
"tipJar": {
"isEnabled": true,
"bitcoinHandle": "<string>",
"ethereumHandle": "<string>",
"venmoHandle": "<string>",
"venmoUrl": "<string>",
"cashAppHandle": "<string>",
"cashAppUrl": "<string>",
"patreonHandle": "<string>",
"patreonUrl": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}X (Twitter)
Fetch an X user profile by handle
POST
/
x
/
get-user
Bridgly SDK
import { Bridgly } from 'bridgly';
const client = new Bridgly({ apiKey: process.env.BRIDGLY_API_KEY });
const res = await client.x.getUser({
handle: "string",
});
if (res.type === 'success') console.log(res.data);Authorizations
A Bridgly API key (bgly_…). Metered endpoints deduct credits from the resolved account.
Body
application/json
X handle / screen name without the @, e.g. "elonmusk".
Was this page helpful?
⌘I